[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please allow gcc-doc-defaults 4.1.1.nf3 into etch

On Mon, Dec 18, 2006 at 03:19:16PM +0300, Nikita V. Youshchenko wrote:

> > On Sat, Dec 16, 2006 at 03:37:48PM +0300, Nikita V. Youshchenko wrote:
> > > >   - If you have a package that needs updating, *please* don't forget
> > > > to contact us.  *Don't expect us to find out about it on our own*.

> > > Please allow gcc-doc-defaults 4.1.1.nf3 into etch.
> > > This upload fixes RC bug (#403328); the only change from previous
> > > version is addition of missing Conflicts: entry.

> > I don't understand why this is listed as a Conflicts:, instead of as a
> > Conflicts: + Replaces:.  Matthias, could you please comment?

> Frankly saying, I still don't understand the details of 'Conflicts+Replaces 
> vs Conflicts' issue. Reading policy 7.5 and around doesn't help much.

> Is 'Conflicts+Replaces' more correct in this case? Why?

The 'Replaces' affects how the packaging tools decide which package should
take precedence in the case of a conflict.

> I'm ready to upload version with 'Conflicts+Replaces' at any moment if 
> needed.

I think that would still be best.

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/

Reply to: